package com.ruoyi.project.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.TAlarmtypeMapper;
import com.ruoyi.project.system.domain.TAlarmtype;
import com.ruoyi.project.system.service.ITAlarmtypeService;

import javax.annotation.Resource;

/**
 * 报警配置管理Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-30
 */
@Service
public class TAlarmtypeServiceImpl implements ITAlarmtypeService
{
    @Resource
    private TAlarmtypeMapper tAlarmtypeMapper;

    /**
     * 查询报警配置管理
     *
     * @param id 报警配置管理ID
     * @return 报警配置管理
     */
    @Override
    public TAlarmtype selectTAlarmtypeById(Long id)
    {
        return tAlarmtypeMapper.selectTAlarmtypeById(id);
    }

    /**
     * 查询报警配置管理列表
     *
     * @param tAlarmtype 报警配置管理
     * @return 报警配置管理
     */
    @Override
    public List<TAlarmtype> selectTAlarmtypeList(TAlarmtype tAlarmtype)
    {
        return tAlarmtypeMapper.selectTAlarmtypeList(tAlarmtype);
    }

    /**
     * 新增报警配置管理
     *
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    @Override
    public int insertTAlarmtype(TAlarmtype tAlarmtype)
    {
        return tAlarmtypeMapper.insertTAlarmtype(tAlarmtype);
    }

    /**
     * 修改报警配置管理
     *
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    @Override
    public int updateTAlarmtype(TAlarmtype tAlarmtype)
    {
        return tAlarmtypeMapper.updateTAlarmtype(tAlarmtype);
    }

    /**
     * 修改报警配置开关
     *
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    @Override
    public int updateIsOpen(TAlarmtype tAlarmtype) { return tAlarmtypeMapper.updateIsOpen(tAlarmtype); }

    /**
     * 批量删除报警配置管理
     *
     * @param ids 需要删除的报警配置管理ID
     * @return 结果
     */
    @Override
    public int deleteTAlarmtypeByIds(Long[] ids)
    {
        return tAlarmtypeMapper.deleteTAlarmtypeByIds(ids);
    }

    /**
     * 删除报警配置管理信息
     *
     * @param id 报警配置管理ID
     * @return 结果
     */
    @Override
    public int deleteTAlarmtypeById(Long id)
    {
        return tAlarmtypeMapper.deleteTAlarmtypeById(id);
    }
}
